using MultipleChoiceTrainer.Validation;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Threading.Tasks;

namespace MultipleChoiceTrainer.Models.DataModels
{
    public class Section
    { 
        public int Id { get; set; }

        [Display(Name = "Name")]
        [NotNullOrEmpty]
        public string Name { get; set; }
        [Display(Name = "Beschreibung")]
        public string Description { get; set; }

        [Display(Name = "Kurs")]
        public Category Category { get; set; }
        [Display(Name = "Kurs")]
        public int CategoryId { get; set; }

        public ICollection<Question> Questions { get; set; } = new HashSet<Question>();
    }
}
